﻿<%@ control language="VB" autoeventwireup="false" inherits="Templates_BasketView, KartrisCompiled" %>
<%@ Register TagPrefix="user" Namespace="GCheckout.Checkout" Assembly="GCheckout" %>
<!-- customize popup -->
<asp:UpdatePanel ID="updPnlCustomText" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <asp:Panel ID="pnlCustomText" runat="server" Style="display: none" CssClass="popup popup_customization">
            <h2>
                <asp:Literal ID="litContentTextCustomization" runat="server" Text='<%$ Resources: Kartris, ContentText_Customization %>'
                    EnableViewState="false" /></h2>
            <asp:LinkButton ID="lnkClose" runat="server" Text="" CssClass="closebutton" />
            <asp:LinkButton ID="lnkDummy" runat="server" Text="X" CssClass="closebutton" />
            <div>
                <p>
                    <asp:Literal ID="litContentTextCustomizationExplanation" runat="server" Text='<%$ Resources: Kartris, ContentText_CustomizationExplanation %>'
                        EnableViewState="false" /></p>
                <p>
                    <asp:LinkButton ID="btnCancelCustomText" runat="server" CssClass="link2" Text='<%$ Resources: Kartris, ContentText_CustomizeNoThanks %>' /></p>
                <br />
                <div>
                    <div id="divCustomDesc" runat="server" style="overflow: auto;" class="customization_details">
                    </div>
                    <br />
                    <asp:TextBox ID="txtCustomText" runat="server" TextMode="MultiLine"></asp:TextBox>
                </div>
                <div>
                    <strong>
                        <asp:Literal ID="litContentTextPrice" runat="server" Text='<%$ Resources: Kartris, ContentText_Price %>'
                            EnableViewState="false" /></strong> &nbsp;<span class="price"><asp:Literal ID="litCustomCost"
                                runat="server" /></span>
                </div>
                <div class="submitbuttons">
                    <asp:Button ID="btnSaveCustomText" runat="server" CssClass="button" Text='<%$ Resources: Kartris, FormLabel_Save %>' />
                    <%--                    <asp:LinkButton ID="btnExtenderOk" runat="server" />--%>
                </div>
            </div>
            <asp:HiddenField ID="hidCustomType" runat="server" />
            <asp:HiddenField ID="hidCustomVersionID" runat="server" />
            <asp:HiddenField ID="hidCustomQuantity" runat="server" />
            <asp:HiddenField ID="hidBasketID" runat="server" />
            <asp:HiddenField ID="hidOptions" runat="server" />
            <asp:HiddenField ID="hidOptionBasketID" runat="server" />
        </asp:Panel>
        <ajaxToolkit:ModalPopupExtender ID="popCustomText" runat="server" TargetControlID="lnkClose"
            PopupControlID="pnlCustomText" BackgroundCssClass="popup_background" OkControlID="lnkClose"
            CancelControlID="lnkClose" DropShadow="False">
        </ajaxToolkit:ModalPopupExtender>
    </ContentTemplate>
</asp:UpdatePanel>
<!-- main basket -->
<asp:UpdatePanel ID="updPnlMainBasket" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <asp:PlaceHolder ID="phdMainBasket" runat="server" Visible="false">
            <div class="basket">
                <asp:Literal ID="litSpeedError" runat="server"></asp:Literal>
                <asp:Literal ID="litCouponError" runat="server"></asp:Literal>
                <div class='errors'>
                    <strong>
                        <asp:Literal ID="litBasketEmpty" runat="server"></asp:Literal></strong></div>
                <asp:Literal ID="litError" runat="server"></asp:Literal>
                <user:PopupMessage ID="popMessage" runat="server" />
                <asp:Panel ID="pnlEmptyBasket" runat="server" Style="display: none; width: 450px"
                    CssClass="popup">
                    <h2>
                        <asp:Literal ID="litPageTitleShoppingBasket" EnableViewState="false" runat="server"
                            Text='<%$ Resources: Basket, PageTitle_ShoppingBasket %>' /></h2>
                    <p>
                        <asp:Literal ID="litContentTextEmptyShoppingBasketConfirm" EnableViewState="false"
                            runat="server" Text='<%$ Resources: Basket, ContentText_EmptyShoppingBasketConfirm %>' /></p>
                    <br />
                    <div>
                        <asp:Button ID="btnEmptyBasketYes" runat="server" CssClass="button" Text="<%$ Resources: Kartris, ContentText_Yes %>"
                            OnCommand="EmptyBasket_Click" CommandName="EmptyBasket" />
                        <asp:Button ID="btnEmptyBasketExtenderCancel" runat="server" CssClass="button" Text="<%$ Resources: Kartris, ContentText_No %>" />
                        <asp:Button ID="btnEmptyBasketExtenderOK" runat="server" Text="" CssClass="invisible" />
                        <%-- <asp:Button ID="btnEmptyBasketExtenderCancel" runat="server" Text="" CssClass="invisible" />--%>
                    </div>
                </asp:Panel>
                <ajaxToolkit:ModalPopupExtender ID="popEmptyBasket" runat="server" TargetControlID="btnEmptyBasket"
                    PopupControlID="pnlEmptyBasket" BackgroundCssClass="popup_background" OkControlID="btnEmptyBasketExtenderOK"
                    CancelControlID="btnEmptyBasketExtenderCancel" DropShadow="False" OnOkScript="EmptyBasketOK">
                </ajaxToolkit:ModalPopupExtender>
                <asp:PlaceHolder ID="phdBasket" runat="server" Visible="false">
                    <div class="inputform">
							<asp:PlaceHolder ID="phdOutOfStockElectronic" runat="server" Visible ="false">
                        <div style="border-style:dotted; border-color:Red; border-width:thin; padding:5px" >
	                      <asp:Literal ID="litOutofStockElectronic" runat="server" Text='<%$Resources:Basket,ContentText_OutOfStockElectronic%>'
                            EnableViewState="false"></asp:Literal>
							</asp:PlaceHolder>
                     <asp:PlaceHolder ID="phdOutOfStock" runat ="server" Visible="false">
                        <div style="border-style:dotted; border-color:Red; border-width:thin; padding:5px" >
                        <asp:Literal ID="litOutofStockx" runat="server" Text='<%$Resources:Basket,ContentText_OutOfStock%>'
                            EnableViewState="false"></asp:Literal>
								</div>									
                     </asp:PlaceHolder>
                        <!-- Basket Items Rows -->
                        <asp:Repeater ID="rptBasket" runat="server">
                            <HeaderTemplate>
                                <table class="baskettable">
                                    <thead>
                                        <tr class="headrow" >
                                            <th class="name" colspan="2">
                                                <asp:Literal ID="litContentTextNameDetails" runat="server" Text='<%$ Resources: Kartris, ContentText_NameDetails %>'
                                                    EnableViewState="false"></asp:Literal>
                                            </th>
                                            <th class="quantity">
                                                <asp:Literal ID="litContentTextQty" runat="server" Text='<%$ Resources: Basket, ContentText_Qty %>'
                                                    EnableViewState="false"></asp:Literal>
                                            </th>
                                            <% If APP_PricesIncTax Then%>
                                            <% If APP_ShowTaxDisplay Or ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET Then%>
                                            <th class="extax">
                                                <asp:Literal ID="litContentTextExTax1" runat="server" Text='<%$ Resources: Kartris, ContentText_ExTax %>'
                                                    EnableViewState="false"></asp:Literal>
                                            </th>
                                            <th class="inctax">
                                                <asp:Literal ID="litIContentTextncTax1" runat="server" Text='<%$ Resources: Kartris, ContentText_IncTax %>'
                                                    EnableViewState="false"></asp:Literal>
                                            </th>
                                            <% Else%>
                                            <th class="price" colspan="2">
                                                <asp:Literal ID="litContentTextPrice1" runat="server" Text='<%$ Resources: Kartris, ContentText_Price %>'
                                                    EnableViewState="false"></asp:Literal>
                                            </th>
                                            <% End If%>
                                            <% Else 'Ex Tax %>
                                            <% If APP_ShowTaxDisplay Or (ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET And APP_USMultiStateTax = False) Then%>
                                            <th class="price">
                                                <asp:Literal ID="litContentTextExTax2" runat="server" Text='<%$ Resources: Kartris, ContentText_Price %>'
                                                    EnableViewState="false"></asp:Literal>
                                            </th>
                                            <th class="tax">
                                                <asp:Literal ID="litContentTextTax2" runat="server" Text='<%$ Resources: Kartris, ContentText_Tax %>'
                                                    EnableViewState="false"></asp:Literal>
                                            </th>
                                            <% Else%>
                                            <th class="price" colspan="2">
                                                <asp:Literal ID="litContentTextPrice2" runat="server" Text='<%$ Resources: Kartris, ContentText_Price %>'
                                                    EnableViewState="false"></asp:Literal>
                                            </th>
                                            <% End If%>
                                            <% End If%>
                                            <% If ViewType = BasketBLL.VIEW_TYPE.MAIN_BASKET Then%>
                                            <th class="remove">
                                            </th>
                                            <% Else%>
                                            <th class="total">
                                                <asp:Literal ID="litContentTextTotal1" runat="server" Text='<%$ Resources: Basket, ContentText_Total %>'></asp:Literal>
                                            </th>
                                            <% End If%>
                                        </tr>
                                    </thead>
                                    <tbody>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <tr> 
                                    <td colspan="2" >
                                        <div class="name" style="cursor: pointer;">
                                            <strong>
                                                <asp:LinkButton ID="lnkBtnProductName" runat="server" Text='<%#Eval("ProductName")%>'
                                                    OnCommand="ProductName_Click" CommandArgument='<%#Eval("ID") & ";" & eval("VersionID") & ";" & eval("Quantity") & ";" & eval("ProductType") %> ' /></strong>
                                            <asp:LinkButton ID="lnkCustomize" CssClass="link2 icon_new" runat="server" CommandName="Customize"
                                                CommandArgument='<%#Eval("ID")%>' OnCommand="CustomText_Click" Text="<%$ Resources: Basket, ContentText_Customize %>" /></div>
                                        <div class="details">
                                            <div class="info">
                                                <asp:PlaceHolder ID="phdProductType1" runat="server" Visible="false">
                                                    <asp:Literal ID="litCodeNumber" runat="server" Text='<%#Eval("CodeNumber")%>' />
                                                </asp:PlaceHolder>
                                                <asp:PlaceHolder ID="phdProductType2" runat="server" Visible="false">
                                                    <asp:PlaceHolder ID="phdItemHasCombinations" runat="server" Visible="false">
                                                        <%#Eval("OptionText")%>
                                                    </asp:PlaceHolder>
                                                    <asp:PlaceHolder ID="phdItemHasNoCombinations" runat="server" Visible="false">
                                                        <asp:Literal ID="litVersionName" runat="server" Text='<%#Eval("VersionName")%>' />
                                                    </asp:PlaceHolder>
                                                    (<asp:Literal ID="litCodeNumber2" runat="server" Text='<%#Eval("CodeNumber")%>' />)
                                                </asp:PlaceHolder>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="quantity">
                                        <%	If ViewOnly Then%>
                                        <%#Eval("Quantity")%>
                                        <%	Else%>
                                        <asp:UpdatePanel runat="server" ID="updItemQuantity">
                                            <ContentTemplate>
                                                <ajaxToolkit:FilteredTextBoxExtender ID="filQuantity" runat="server" TargetControlID="txtQuantity"
                                                    FilterType="Numbers">
                                                </ajaxToolkit:FilteredTextBoxExtender>
                                                <asp:TextBox  MaxLength="25" ID='txtQuantity' EnableViewState="true" AutoPostBack="true"
                                                    OnTextChanged='QuantityChanged' runat="server" Text='<%#Eval("Quantity")%>' CausesValidation="False">
                                                </asp:TextBox>
                                                <asp:HiddenField ID="hdfBasketID" runat="server" Value='<%#Eval("ID")%>' />
                                            </ContentTemplate>
                                        </asp:UpdatePanel><asp:UpdateProgress ID="prgItemQuantity" runat="server" AssociatedUpdatePanelID="updItemQuantity"
                                            DynamicLayout="true" DisplayAfter="10">
                                            <ProgressTemplate>
                                                <div class="smallupdateprogress">
                                                </div>
                                            </ProgressTemplate>
                                        </asp:UpdateProgress>
                                        
                                        <%	End If%>
                                    </td>
                                    <% If APP_PricesIncTax Then%>
                                    <% If APP_ShowTaxDisplay Or ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET Then%>
                                    <td class="extax" >
                                        <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Eval("ExTax"))%>
                                    </td>
                                    <td class="inctax">
                                        <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Eval("IncTax"))%>
                                    </td>
                                    <% Else%>
                                    <td class="price" colspan="2">
                                        <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Eval("IncTax"))%>
                                    </td>
                                    <% End If%>
                                    <% Else%>
                                    <% If APP_ShowTaxDisplay Or (ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET And APP_USMultiStateTax = False) Then%>
                                    <td class="extax">
                                        <asp:Literal ID="litExTax1" runat="server" />
                                        <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Eval("ExTax"))%>
                                    </td>
                                    <td class="tax">
                                        <%#Eval("TaxRate") * 100%>%
                                    </td>
                                    <% Else%>
                                    <td class="price" colspan="2">
                                        <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Eval("ExTax"))%>
                                    </td>
                                    <% End If%>
                                    <% End If%>
                                    <% If ViewType = BasketBLL.VIEW_TYPE.MAIN_BASKET Then%>
                                    <td class="remove" >
                                        <asp:LinkButton CssClass="link2 icon_delete" ID="lnkBtnRemoveItem" OnCommand="RemoveItem_Click"
                                            CommandName="RemoveItem" CommandArgument='<%#Eval("ID") & ";" & Eval("VersionID")%>'
                                            runat="server" ToolTip='<%$Resources:Basket,FormButton_Remove%>' Text="<%$Resources:Basket,FormButton_Remove%>"></asp:LinkButton>
                                    </td>
                                    <% Else%>
                                    <td class="total">
                                        <% If APP_USMultiStateTax Then%>
                                        <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Eval("RowExTax"))%>
                                        <% Else%>
                                        <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Eval("RowIncTax"))%>
                                        <% End If%>
                                    </td>
                                    <% End If%>
                                </tr>
                            </ItemTemplate>
                        </asp:Repeater>
                        <!-- Promotion Discount Rows -->
                        <asp:Panel ID="pnlPromotionDiscountHeader" runat="server" Visible="true">
                            <asp:Repeater ID="rptPromotionDiscount" runat="server">
                                <ItemTemplate>
                                    <tr>
                                        <td colspan="2">
                                            <div class="name">
                                                <strong>
                                                    <asp:Literal ID="litPromotionDiscount" runat="server" Text='<%$ Resources: Basket, ContentText_Promotion %>'
                                                        EnableViewState="false"></asp:Literal></strong></div>
                                            <div class="details">
                                                <%#Eval("Name")%></div>
                                        </td>
                                        <td class="quantity">
                                            <%#Eval("Quantity")%>
                                        </td>
                                        <% If APP_PricesIncTax Then%>
                                        <% If APP_ShowTaxDisplay Or ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET Then%>
                                        <td class="extax">
                                            <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, CDbl(Eval("ExTax")))%>
                                        </td>
                                        <td class="inctax">
                                            <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, CDbl(Eval("IncTax")))%>
                                        </td>
                                        <% Else%>
                                        <td class="price" colspan="2">
                                            <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, CDbl(Eval("IncTax")))%>
                                        </td>
                                        <% End If%>
                                        <!-- Ex Tax -->
                                        <% Else%>
                                        <%	If APP_ShowTaxDisplay Or (ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET And APP_USMultiStateTax = False) Then%>
                                        <td class="extax">
                                            <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, CDbl(Eval("ExTax")))%>
                                        </td>
                                        <td class="tax">
                                            <%#CDbl(Eval("TaxRate") * 100)%>%
                                        </td>
                                        <% Else%>
                                        <td class="price" colspan="2">
                                            <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, CDbl(Eval("ExTax")))%>
                                        </td>
                                        <% End If%>
                                        <% End If%>
                                        <%	If ViewType <> BasketBLL.VIEW_TYPE.MAIN_BASKET Then%>
                                        <td class="total">
                                            <% If APP_USMultiStateTax Then%>
                                            <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, CDbl(Eval("TotalExTax")))%>
                                            <% Else%>
                                            <%#CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, CDbl(Eval("TotalIncTax")))%>
                                            <% End If%>
                                        </td>
                                        <% Else%>
                                        <td>
                                            &nbsp;
                                        </td>
                                        <% End If%>
                                    </tr>
                                </ItemTemplate>
                            </asp:Repeater>
                        </asp:Panel>
                        <%=""%>
                        <!-- Coupon Row -->
                        <% If Basket.CouponDiscount.IncTax < 0 Then%>
                        <tr>
                            <td colspan="2">
                                <div class="name">
                                    <strong>
                                        <asp:Literal ID="litCouponDiscount" runat="server" Text='<%$Resources:Kartris,ContentText_CouponDiscount%>'
                                            EnableViewState="false"></asp:Literal></strong>
                                </div>
                                <div class="details">
                                    <div class="info">
                                        <%=Basket.CouponName%></div>
                                </div>
                            </td>
                            <td class="quantity">
                                1
                            </td>
                            <% '' inc tax %>
                            <% If APP_PricesIncTax Then%>
                            <% If APP_ShowTaxDisplay = True Then%>
                            <td class="extax">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CouponDiscount.ExTax)%>
                            </td>
                            <td class="inctax">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CouponDiscount.IncTax)%>
                            </td>
                            <% Else%>
                            <td class="price" colspan="2">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CouponDiscount.IncTax)%>
                            </td>
                            <% End If%>
                            <%'' Ex Tax %>
                            <% Else%>
                            <%	If APP_ShowTaxDisplay Or (ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET And APP_USMultiStateTax = False) Then%>
                            <td class="extax">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CouponDiscount.ExTax)%>
                            </td>
                            <td class="tax">
                                <%=(Basket.CouponDiscount.TaxRate * 100)%>%
                            </td>
                            <% Else%>
                            <td class="price" colspan="2">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CouponDiscount.ExTax)%>
                            </td>
                            <% End If%>
                            <% End If%>
                            <% If ViewType = BasketBLL.VIEW_TYPE.MAIN_BASKET Then%>
                            <td class="remove">
                                <asp:LinkButton ID="lnkBtnRemoveCoupon" OnCommand="RemoveCoupon_Click" CommandName="RemoveCoupon"
                                    CommandArgument="" CssClass="link2 icon_delete" runat="server" ToolTip='<%$ Resources: Basket, FormButton_Remove %>'
                                    Text="<%$ Resources: Basket, FormButton_Remove %>"></asp:LinkButton>
                            </td>
                            <% Else%>
                            <td class="total">
                                <% If APP_USMultiStateTax Then%>
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CouponDiscount.ExTax)%>
                                <% Else%>
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CouponDiscount.IncTax)%>
                                <% End If%>
                            </td>
                            <% End If%>
                        </tr>
                        <% End If%>
                        <!-- Customer Discount Row -->
                        <% If BSKT_CustomerDiscount > 0 Then%>
                        <tr>
                            <td colspan="2">
                                <div class="name">
                                    <strong>
                                        <asp:Literal ID="litContentTextDiscount" runat="server" Text='<%$ Resources: Basket, ContentText_Discount %>'
                                            EnableViewState="false"></asp:Literal></strong>
                                </div>
                                <div class="details">
                                    <div class="info">
                                        <%=BSKT_CustomerDiscount%>%</div>
                                </div>
                            </td>
                            <td class="quantity">
                                1
                            </td>
                            <%'Inc Tax%>
                            <% If APP_PricesIncTax Then%>
                            <% If APP_ShowTaxDisplay Or ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET Then%>
                            <td class="extax">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CustomerDiscount.ExTax)%>
                            </td>
                            <td class="inctax">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CustomerDiscount.IncTax)%>
                            </td>
                            <% Else%>
                            <td class="price" colspan="2">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CustomerDiscount.IncTax)%>
                            </td>
                            <% End If%>
                            <%'Ex Tax%>
                            <% Else%>
                            <% If APP_ShowTaxDisplay Or (ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET And APP_USMultiStateTax = False) Then%>
                            <td class="extax">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CustomerDiscount.ExTax)%>
                            </td>
                            <td class="tax">
                                <%=(Basket.CustomerDiscount.TaxRate * 100)%>%
                            </td>
                            <% Else%>
                            <td class="price" colspan="2">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CustomerDiscount.ExTax)%>
                            </td>
                            <% End If%>
                            <% End If%>
                            <% If ViewType <> BasketBLL.VIEW_TYPE.MAIN_BASKET Then%>
                            <td class="total">
                                <% If APP_USMultiStateTax Then%>
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CustomerDiscount.ExTax)%>
                                <% Else%>
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.CustomerDiscount.IncTax)%>
                                <% End If%>
                            </td>
                            <% Else%>
                            <td>
                                &nbsp;
                            </td>
                            <% End If%>
                        </tr>
                        <% End If%>
                        <!-- Shipping Method Row -->
                        <asp:PlaceHolder ID="phShipping" runat="server" Visible="false">
                            <tr class="shippingrow">
                                <td colspan="2">
                                    <div class="name">
                                        <strong>
                                            <asp:Literal ID="litContentTextShipping" runat="server" Text='<%$ Resources: Address, ContentText_Shipping %>'
                                                EnableViewState="false"></asp:Literal></strong>
                                    </div>
                                    <div class="details">
                                        
                                        <div class="info">
                                        <asp:PlaceHolder ID="phdShippingSelection" runat="server" Visible="false">
                                            <user:ShippingMethods ID="UC_ShippingMethodsDropdown" runat="server" /><br />
                                            
                                        </asp:PlaceHolder>
                                            <%=""%>
                                            <%	If ViewOnly Then%>
                                            <strong>
                                                <%=Basket.ShippingName%></strong>
                                                - 
                                            <% End If%><%=Basket.ShippingDescription%></div>
                                    </div>
                                </td>
                                <asp:PlaceHolder ID="phdShippingTaxHide" runat="server" Visible="false">
                                    <td colspan="4">
                                    </td>
                                </asp:PlaceHolder>
                                <asp:PlaceHolder ID="phdShippingTax" runat="server" Visible="false">
                                    <td class="quantity">
                                        1
                                    </td>
                                    <%=""%>
                                    <% If APP_PricesIncTax Then%>
                                    <% If APP_ShowTaxDisplay Or ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET Then%>
                                    <td class="extax">
                                        <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.ShippingPrice.ExTax)%>
                                    </td>
                                    <td class="inctax">
                                        <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.ShippingPrice.IncTax)%>
                                    </td>
                                    <% Else%>
                                    <td class="price" colspan="2">
                                        <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.ShippingPrice.IncTax)%>
                                    </td>
                                    <% End If%>
                                    <% Else%>
                                    <% If APP_ShowTaxDisplay Or (ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET And APP_USMultiStateTax = False) Then%>
                                    <td class="extax">
                                        <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.ShippingPrice.ExTax)%>
                                    </td>
                                    <td class="tax">
                                        <%=(Basket.ShippingPrice.TaxRate * 100)%>%
                                    </td>
                                    <% Else%>
                                    <td class="price" colspan="2">
                                        <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.ShippingPrice.ExTax)%>
                                    </td>
                                    <% End If%>
                                    <% End If%>
                                    <td class="total">
                                        <% If APP_USMultiStateTax Then%>
                                        <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.ShippingPrice.ExTax)%>
                                        <% Else%>
                                        <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.ShippingPrice.IncTax)%>
                                        <% End If%>
                                    </td>
                                </asp:PlaceHolder>
                            </tr>
                        </asp:PlaceHolder>
                        <!-- Order Handling Charge Row -->
                        <asp:PlaceHolder ID="phdOrderHandling" runat="server">
                            <tr>
                                <td colspan="2">
                                    <div class="name">
                                        <strong>
                                            <asp:Literal ID="litOrderHandlingCharge" runat="server" Text='<%$ Resources: Kartris, ContentText_OrderHandlingCharge %>'
                                                EnableViewState="false"></asp:Literal></strong>
                                    </div>
                                </td>
                                <td class="quantity">
                                    1
                                </td>
                                <%=""%>
                                <% If APP_PricesIncTax Then%>
                                <% If APP_ShowTaxDisplay Or ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET Then%>
                                <td class="extax">
                                    <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.OrderHandlingPrice.ExTax)%>
                                </td>
                                <td class="inctax">
                                    <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.OrderHandlingPrice.IncTax)%>
                                </td>
                                <%	Else%>
                                <td class="price" colspan="2">
                                    <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.OrderHandlingPrice.IncTax)%>
                                </td>
                                <% End If%>
                                <%	Else%>
                                <% If APP_ShowTaxDisplay Or (ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET And APP_USMultiStateTax = False) Then%>
                                <td class="extax">
                                    <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.OrderHandlingPrice.ExTax)%>
                                </td>
                                <td class="tax">
                                    <%=(Basket.OrderHandlingPrice.TaxRate * 100)%>%
                                </td>
                                <%	Else%>
                                <td class="price" colspan="2">
                                    <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.OrderHandlingPrice.ExTax)%>
                                </td>
                                <% End If%>
                                <% End If%>
                                <td class="total">
                                    <% If APP_USMultiStateTax Then%>
                                    <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.OrderHandlingPrice.ExTax)%>
                                    <% Else%>
                                    <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, Basket.OrderHandlingPrice.IncTax)%>
                                    <% End If%>
                                </td>
                            </tr>
                        </asp:PlaceHolder>
                        <!-- Coupon Entry Row -->
                        <%	If KartSettingsManager.GetKartConfig("frontend.orders.allowcoupons") <> "n" And Not (ViewOnly) Then%>
                        <%	If Basket.CouponName = "" Then%>
                        <tr class="applycoupon">
                            <td colspan="6">
                                <asp:UpdatePanel ID="updCoupons" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <asp:Panel ID="pnlCoupons" runat="server" DefaultButton="btnApplyCoupon">
                                            <div class="Kartris-DetailsView">
                                                <div class="Kartris-DetailsView-Data">
                                                    <ul>
                                                        <li><span class="Kartris-DetailsView-Name">
                                                            <asp:Label ID="lblCouponCode" runat="server" Text='<%$ Resources: Basket, ContentText_ApplyCouponCode %>'
                                                                EnableViewState="false" AssociatedControlID="txtCouponCode"></asp:Label></span><span
                                                                    class="Kartris-DetailsView-Value">
                                                                    <asp:TextBox MaxLength="25" ID="txtCouponCode" runat="server" Text="" AutoPostBack="false"
                                                                        CssClass="couponbox"></asp:TextBox>
                                                                    <asp:LinkButton ID="btnApplyCoupon" CssClass="link2 icon_new" OnCommand="ApplyCoupon_Click"
                                                                        CommandName="ApplyCoupon" CommandArgument="" runat="server" Text='<%$ Resources: Basket, ContentText_EnterCouponLink %>' /></span>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </td>
                        </tr>
                        <%	End If%>
                        <%	End If%>
                        <!-- Grand totals -->
                        <%
                            Dim vFinalPriceExTax, vFinalPriceTaxAmount, vFinalPriceIncTax, vFinalPriceTaxRate As Double
     	
                            If ViewType <> BasketBLL.VIEW_TYPE.CHECKOUT_BASKET Then
                                vFinalPriceExTax = Basket.FinalPriceExTax - Basket.ShippingPrice.ExTax - Basket.OrderHandlingPrice.ExTax
                                vFinalPriceTaxAmount = Basket.FinalPriceTaxAmount - Basket.ShippingPrice.TaxAmount - Basket.OrderHandlingPrice.TaxAmount
                                vFinalPriceIncTax = Basket.FinalPriceIncTax - Basket.ShippingPrice.IncTax - Basket.OrderHandlingPrice.IncTax
                            Else
                                vFinalPriceExTax = Basket.FinalPriceExTax
                                vFinalPriceTaxAmount = Basket.FinalPriceTaxAmount
                                vFinalPriceIncTax = Basket.FinalPriceIncTax
                                vFinalPriceTaxRate = Math.Round(Basket.D_Tax * 100, 2)
                            End If

                        %>
                        <!-- Show Total Tax Row if USmultistatetax is on -->
                        <%If APP_USMultiStateTax And ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET Then%>
                        <tr class="totals">
                            <td colspan="3" id="totaltaxrow">
                                <asp:Literal ID="litTax" runat="server" Text='<%$ Resources: Kartris, ContentText_Tax %>'
                                    EnableViewState="false" />
                            </td>
                            <td class="tax" colspan="2">
                                <%=vFinalPriceTaxRate%>%
                            </td>
                            <td class="total">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, vFinalPriceTaxAmount)%>
                            </td>
                        </tr>
                        <%End If%>
                        <!-- Grand Totals Rows -->
                        <tr class="totals">
                            <td colspan="3" id="totallabel">
                                <asp:Literal ID="litTotal2" runat="server" Text='<%$ Resources: Basket, ContentText_Total %>'
                                    EnableViewState="false"></asp:Literal>
                            </td>
                            <% If APP_PricesIncTax Then%>
                            <% If APP_ShowTaxDisplay Or (ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET) Then%>
                            <td class="extax">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, vFinalPriceExTax)%>
                            </td>
                            <td class="inctax">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, vFinalPriceIncTax)%>
                            </td>
                            <%	Else%>
                            <td class="price" colspan="2">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, vFinalPriceIncTax)%>
                            </td>
                            <% End If%>
                            <%	Else%>
                            <% If APP_ShowTaxDisplay Or (ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET And APP_USMultiStateTax = False) Then%>
                            <td class="extax">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, vFinalPriceExTax)%>
                            </td>
                            <td class="tax">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, vFinalPriceTaxAmount)%>
                            </td>
                            <% Else%>
                            <td class="extax" colspan="2">
                                <%If Not (APP_USMultiStateTax And ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET) Then%>
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, vFinalPriceExTax)%>
                                <%End If%>
                            </td>
                            <% End If%>
                            <% End If%>
                            <% If APP_ShowTaxDisplay Or ViewType = BasketBLL.VIEW_TYPE.CHECKOUT_BASKET Then%>
                            <td class="total">
                                <%=CurrenciesBLL.FormatCurrencyPrice(SESS_CurrencyID, vFinalPriceIncTax)%>
                            </td>
                            <% Else%>
                            <td>
                            </td>
                            <% End If%>
                        </tr>
                        </tbody></table>
                    </div>

                    <div>
                        <asp:Literal ID="litShippingTotal" runat="server"></asp:Literal>
                        <asp:PlaceHolder ID="phdControls" runat="server" Visible="false"></asp:PlaceHolder>
                    </div>
                    <asp:PlaceHolder ID="phdBasketButtons" runat="server" Visible="false">
                        <div class="controls">
                            <div>
                                <asp:Button Text='<%$ Resources: Basket, FormButton_EmptyBasket %>' CssClass="button"
                                    ID="btnEmptyBasket" runat="server" />
                                <asp:Button Text='<%$ Resources: Basket, FormButton_MakeEnquiry %>' CssClass="button"
                                    ID="btnEnquire" runat="server" PostBackUrl="~/Contact.aspx" />
                                <asp:Button Text='<%$ Resources: Basket, FormButton_Checkout %>' CssClass="button highpriority"
                                    ID="btnCheckout" runat="server" PostBackUrl="~/Checkout.aspx" />
                            </div>
                        </div>
                    </asp:PlaceHolder>
                    <!-- end of form -->
                </asp:PlaceHolder>
                <asp:PlaceHolder ID="phdGoogle" runat="server" Visible="false">
                    <div id='googlecheckoutbasketdiv'>
                        <user:GCheckoutButton ID="UC_GCheckoutButton" OnClick="GoogleCheckoutPost" runat="server" />
                        <!-- <input style='border: none; margin-top: -20px;' type='image' name='Google Checkout'
                            alt='Fast checkout through Google' src='<%= KartSettingsManager.GetKartConfig("frontend.basket.googlecheckoutimage")%>' /> -->
                    </div>
                </asp:PlaceHolder>
                <%			If Basket.BasketItems.Count > 0 Then%>
                <asp:PlaceHolder ID="phdPromotions" runat="server" Visible="false">
                    <div class="promotions">
                        <div class="pad">
                            <h2 class="boxheader">
                                <asp:Literal ID="litSubHeaderPromotions" runat="server" Text="<%$ Resources:Kartris, SubHeading_Promotions %>"
                                    EnableViewState="false"></asp:Literal></h2>
                            <asp:Repeater ID="rptPromotions" runat="server">
                                <ItemTemplate>
                                    <%--<user:PromotionTemplate ID="UC_PromotionTemplate" runat="server" />--%>
                                    <div class="promotion">
                                        <div class="box">
                                            <div class="pad">
                                                <asp:Literal ID="litPromotionText" runat="server" Text='<%# Eval("PromoText") %>'
                                                    EnableViewState="false"></asp:Literal>
                                            </div>
                                        </div>
                                    </div>
                                    
                                </ItemTemplate>
                                <FooterTemplate>
                                    <a href='<%= KartSettingsManager.GetKartConfig("general.webshopurl")%>Promotions.aspx'>
                                        <asp:Literal ID="litSubHeaderPromotions" runat="server" Text="<%$ Resources:Basket, ContentText_MorePromotionsLink %>"
                                            EnableViewState="false"></asp:Literal></a>
                                </FooterTemplate>
                            </asp:Repeater>
                        </div>
                    </div>
                </asp:PlaceHolder>
                <%		End If%>
            </div>
        </asp:PlaceHolder>
    </ContentTemplate>
</asp:UpdatePanel>
<!-- mini basket -->
<asp:UpdatePanel ID="updPnlMiniBasket" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <asp:PlaceHolder ID="phdMiniBasket" runat="server" Visible="false">
<script type="text/javascript" language="javascript">
    //<![CDATA[
    function ShowAddToBasketPopup(strDelayValue) {
    if( isNaN(strDelayValue) )
        {
            //test//
        }
        else
        {
            $find('ctl00_UC_MiniBasket_popAddToBasket').show();
            setTimeout("HideAddToBasketPopup()", strDelayValue);
        }
    }

    function HideAddToBasketPopup() {
        $find('ctl00_UC_MiniBasket_popAddToBasket').hide();
    }
    
        function ShowCustomizePopup() {
        $find('ctl00_UC_MiniBasket_popCustomText').show();
    }
    //]]>
</script> 
            <div id="minibasket" class="infoblock">
                <div id="contents">
                    <h4>
                        <asp:Literal ID="litShoppingBasketTitle" runat="server" Text="<%$ Resources:Basket, PageTitle_ShoppingBasket  %>"
                            EnableViewState="false" /></h4>
                    <div class="box">
                        <div id="numberofitems">
                            <asp:Literal ID="litNumberOfItemsTitle" runat="server" Text="<%$ Resources:Kartris, ContentText_MinibasketNumberOfItems  %>"
                                EnableViewState="false" />
                            <strong>
                                <asp:Literal ID="litNumberOfItems" runat="server" /></strong>
                        </div>
                        <asp:PlaceHolder ID="phdOrderInProgress" runat="server" Visible="false">
                            <div id="orderinprogress">
                                <asp:Literal ID="litOrderInProgress" runat="server" Text="<%$Resources:Kartris, ContentText_MinibasketHidden%>"
                                    EnableViewState="false" />
                            </div>
                        </asp:PlaceHolder>
                        <asp:PlaceHolder ID="phdMiniBasketContent" runat="server" Visible="false">
                            <ul>
                                <% If KartSettingsManager.GetKartConfig("frontend.minibasket.hiderows") <> "y" Then%>
                                <asp:Repeater ID="rptMiniBasket" runat="server">
                                    <ItemTemplate>
                                        <li class="minibasket_item">
                                            <asp:LinkButton ID="lnkBtnProduct" runat="server" Text='<%# Eval("Quantity") & " X " &  Eval("ProductName")%>'
                                                OnCommand="ProductName_Click" CommandArgument='<%#Eval("ID") & ";" & eval("VersionID") & ";" & eval("Quantity") & ";" & eval("ProductType") %>' />
                                        </li>
                                    </ItemTemplate>
                                </asp:Repeater>
                                <asp:PlaceHolder ID="phdMiniBasketPromotions" runat="server">
                                    <li id="minibasket_promotions">
                                        <asp:HyperLink ID="lnkMiniBasketPromotions" runat="server">
                                            <asp:Literal ID="litPromotions" runat="server" Text='<%$Resources:Kartris,SubHeading_Promotions%>'
                                                EnableViewState="false"></asp:Literal></asp:HyperLink>
                                    </li>
                                </asp:PlaceHolder>
                                <asp:PlaceHolder ID="phdMiniBasketCouponDiscount" runat="server">
                                    <li id="minibasket_coupondiscount">
                                        <asp:HyperLink ID="lnkMiniBasketCouponDiscount" runat="server">
                                            <asp:Literal ID="litCouponDiscount2" runat="server" Text='<%$Resources:Kartris,ContentText_CouponDiscount%>'
                                                EnableViewState="false"></asp:Literal></asp:HyperLink>
                                    </li>
                                </asp:PlaceHolder>
                                <asp:PlaceHolder ID="phdMiniBasketCustomerDiscount" runat="server">
                                    <li id="minibasket_customerdiscount">
                                        <asp:HyperLink ID="lnkMiniBasketCustomerDiscount" runat="server">
                                            <asp:Literal ID="litCustomerDiscount" runat="server" Text='<%$Resources:Kartris,ContentText_CustomerDiscount%>'></asp:Literal></asp:HyperLink>
                                    </li>
                                </asp:PlaceHolder>
                                <% End If%>
                                <li id="totals">
                                    <asp:PlaceHolder ID="phdMiniBasketTax" runat="server">
                                        <div id="minibasket_total_1">
                                            <asp:Literal ID="litMiniBasketTax1" runat="server" /></div>
                                        <div id="minibasket_total_2">
                                            <asp:Literal ID="litMiniBasketTax2" runat="server" /></div>
                                        <div id="minibasket_whereapplicable">
                                            <asp:Literal ID="litMiniBasketApplicable" runat="server" Text='<%$Resources:Kartris,ContentText_MiniBasket_WhereApplicable%>'
                                                EnableViewState="false" /></div>
                                    </asp:PlaceHolder>
                                    <asp:PlaceHolder ID="phdMiniBasketTotal" runat="server">
                                        <asp:Literal ID="litMiniBasketTotal" runat="server" />
                                    </asp:PlaceHolder>
                                </li>
                            </ul>
                        </asp:PlaceHolder>
                        <asp:PlaceHolder ID="phdMiniBasketEmpty" runat="server" Visible="false">
                            <div id="basketisempty">
                                <asp:Literal ID="litMiniBasketIsEmpty" runat="server" Text="<%$Resources:Kartris, ContentText_MinibasketIsEmpty%>"
                                    EnableViewState="false" />
                            </div>
                        </asp:PlaceHolder>
                    </div>
                </div>
                <% If KartSettingsManager.GetKartConfig("frontend.minibasket.hidelinks") <> "y" Then%>
                <asp:PlaceHolder ID="phdMiniBasketLinks" runat="server" Visible="true">
                    <div id="links">
                        <ul id="basketlinks">
                            <li><a href="<%=cKartrisBLL.WebShopURL%>Basket.aspx" id="basket_button">
                                <asp:Literal ID="litViewBasket" runat="server" Text="<%$ Resources:Kartris, ContentText_MinibasketViewBasket  %>"
                                    EnableViewState="false"></asp:Literal>
                            </a></li>
                            <% If BasketItems.Count > 0 Then%>
                            <li><a href="<%=cKartrisBLL.WebShopURL%>Checkout.aspx" id="checkout_button">
                                <asp:Literal ID="litCheckout" runat="server" Text="<%$ Resources:Kartris, ContentText_MinibasketCheckout  %>"
                                    EnableViewState="false"></asp:Literal>
                            </a></li>
                            <li>
                                <user:GCheckoutButton ID="UC_MiniGCheckoutButton" Size="Small" BackColor="Transparent"
                                    Background="Transparent" OnClick="GoogleCheckoutPost" runat="server" /></li>
                            <%End If%>
                            <li><a href="<%=cKartrisBLL.WebShopURL%>Contact.aspx" id="enquiry_button">
                                <asp:Literal ID="litEnquiry" runat="server" Text="<%$ Resources:Kartris, ContentText_MinibasketMakeEnquiry  %>"
                                    EnableViewState="false"></asp:Literal>
                            </a></li>
                            <%	If BasketItems.Count > 0 Then%>
                            <li><a href="<%=cKartrisBLL.WebShopURL%>Customer.aspx?action=savebasket" id="saverecoverbasket_button">
                                <asp:Literal ID="litSaveRecoverBasket" runat="server" Text="<%$ Resources:Kartris, ContentText_MinibasketSaveBasket  %>"
                                    EnableViewState="false"></asp:Literal>
                            </a></li>
                            <%If KartSettingsManager.GetKartConfig("frontend.users.wishlists.enabled") <> "n" Then%>
                            <li><a href="<%=cKartrisBLL.WebShopURL%>Customer.aspx?action=wishlists" id="wishlist_button">
                                <asp:Literal ID="litWishlist" runat="server" Text="<%$ Resources:Kartris, ContentText_MinibasketWishList  %>"
                                    EnableViewState="false"></asp:Literal>
                            </a></li>
                            <% End If%>
                            <%End If%>
                        </ul>
                    </div>
                </asp:PlaceHolder>
                <% End If%>
            </div>
        </asp:PlaceHolder>
    </ContentTemplate>
</asp:UpdatePanel>
<!-- add to basket popup -->
<asp:UpdatePanel ID="updPnlAddToBasket" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <asp:Timer ID="tmrAddToBasket" runat="server">
        </asp:Timer>
        <asp:Panel ID="pnlAddToBasket" runat="server" Style="display: none" CssClass="popup popup_addtobasket">
            <h2>
                <asp:Literal ID="litSubHeadingInformation" runat="server" Text='<%$ Resources: Kartris, SubHeading_Information %>'
                    EnableViewState="false" /></h2>
            <p>
                <asp:Literal ID="litContentTextItemsAdded" runat="server" Text='<%$ Resources: Basket, ContentText_ItemsAdded %>'
                    EnableViewState="false" /></p>
            <asp:Button ID="btnDummy" runat="server" Text="dummy" CssClass="invisible" />
            <asp:LinkButton ID="btnCancel" runat="server" Text="X" CssClass="closebutton" />
        </asp:Panel>
        <ajaxToolkit:ModalPopupExtender ID="popAddToBasket" runat="server" TargetControlID="btnDummy"
            PopupControlID="pnlAddToBasket" BackgroundCssClass="popup_background" OkControlID="btnDummy"
            CancelControlID="btnCancel" DropShadow="False">
        </ajaxToolkit:ModalPopupExtender>
    </ContentTemplate>
</asp:UpdatePanel>
